Skip to content
Search
Search the documentation
GetProjectResponse
GitHub GitHub

GetProjectResponse

Interface: GetProjectResponse

Defined in: v1/types/projects.ts:63

Response for getting the authenticated project.

  • GET /v1/projects/@me

See

https://docs.top.gg/api/v1/projects#get-projectsme

Extends

Properties

headline

headline: string

Defined in: v1/types/projects.ts:71

The project’s headline/tagline.


id

id: string

Defined in: v1/types/base.ts:105

The project’s Top.gg ID.

Inherited from

BaseProject.id


name

name: string

Defined in: v1/types/projects.ts:67

The project’s name.


platform

platform: ProjectPlatformType

Defined in: v1/types/base.ts:109

The platform the project is on (e.g., “discord”).

Inherited from

BaseProject.platform


platform_id

platform_id: string

Defined in: v1/types/base.ts:113

The platform-specific ID of the project (e.g., Discord Bot ID).

Inherited from

BaseProject.platform_id


review_count

review_count: number

Defined in: v1/types/projects.ts:91

The number of reviews.


review_score

review_score: number

Defined in: v1/types/projects.ts:87

The average review score.


tags

tags: string[]

Defined in: v1/types/projects.ts:75

Tags associated with the project.


type

type: ProjectType

Defined in: v1/types/base.ts:117

The type of project (e.g., “bot”).

Inherited from

BaseProject.type


votes

votes: number

Defined in: v1/types/projects.ts:79

The number of votes this month.


votes_total

votes_total: number

Defined in: v1/types/projects.ts:83

The total number of votes all time.